org.eclipse.eef.core.api.controllers

## Interface IConsumer<T>

Type Parameters:
  `T` - The type of the Object that can be received

All Known Implementing Classes:
  Updater

    public interface IConsumer<T>

The consumer is a functional type used to receive an Object of a specific type.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `apply(T value)` This operation is called in order to give to the consumer an Object.

### Method Detail

#### apply

    void apply(T value)

This operation is called in order to give to the consumer an Object.

Parameters:
  `value` - The Object